com.pixelmed.event

## Class SelfRegisteringListener

- java.lang.Object
- - com.pixelmed.event.Listener
  - - com.pixelmed.event.SelfRegisteringListener

- All Implemented Interfaces:
    java.util.EventListener

      public abstract class SelfRegisteringListener
      extends Listener

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SelfRegisteringListener(java.lang.String className, EventContext eventContext)`

  - ### Method Summary

    - ### Methods inherited from class com.pixelmed.event.Listener

      `changed, getClassOfEventHandled, getEventContext, setClassOfEventHandled, setEventContext, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SelfRegisteringListener

          public SelfRegisteringListener(java.lang.String className,
                                         EventContext eventContext)

      Parameters:
        `className` -
        `eventContext` -